Bug 209511 - Review Request: gnbd - global network block device
Review Request: gnbd - global network block device
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2006-10-05 14:10 EDT by Chris Feist
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 17:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Feist 2006-10-05 14:10:41 EDT
Spec URL: http://people.redhat.com/cfeist/gnbd.spec
SRPM URL: http://people.redhat.com/cfeist/gnbd-1.1.0-2.fc6.src.rpm
Description: User level packages for the gnbd (Global Network Block Device) for linux.  (This was previously included in FC-5 core.)
Comment 1 Bernard Johnson 2006-12-08 06:53:22 EST
I don't see you in the owners list, so I can only provide you an unofficial
review.  I'm flipping the FE-NEEDSPONSOR blocker on for you too, since you will
have to have a sponsor do an official review.

rpmlint on all packages is silent.
mock-build on FC6 is successful


Must items:
      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

Include COPYING file in %doc

      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.

I have not been able to verify this - Source0 should be a URL that points to the
donwloadable file.

      - MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
[WWW] FE-ExcludeArch-x86, [WWW] FE-ExcludeArch-x64, [WWW] FE-ExcludeArch-ppc

Document why ExclusiveArch is used.

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.

Your macro use is consistent.  However, I would suggest replacing "./configure
--mandir=%{_mandir} --libdir=%{_libdir}" with "%{configure}"

Comment 2 Bernard Johnson 2006-12-09 20:11:55 EST
Sorry, I should have left the FE-NEW blocker since I wasn't sponsored.  Fixing that.
Comment 3 Ruben Kerkhof 2007-01-21 16:24:47 EST
Hi Chris,

Since you have been sponsored by jkatz before, I'll remove FE-NEEDSPONSOR blocker.

* RPM name is OK
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* debuginfo rpm looks OK

Needs work:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)

Please also fix the points Bernard noted in comment #1
Comment 4 Ruben Kerkhof 2007-03-23 04:08:19 EDT
Hi Chris,

Please respond, or I'll have to close this ticket in a week.
Comment 5 Ruben Kerkhof 2007-04-04 17:18:27 EDT
Sorry, I'll have to close this review.

Note You need to log in before you can comment on or make changes to this bug.